%define upstream_name    MIME-Lite
%define upstream_version 3.029

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Low-calorie MIME generator 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: sendmail-command
BuildArch:  noarch

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README changes.pod lib/MIME/* examples/*
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%install
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%doc COPYING INSTALLING LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.29.0-2.mga3
+ Revision: 369326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.29.0-1.mga3
+ Revision: 286255
- update to 3.029

* Thu Nov 10 2011 kharec <kharec> 3.28.0-1.mga2
+ Revision: 166338
- update to 3.028

* Tue Jan 18 2011 jquelin <jquelin> 3.27.0-1.mga1
+ Revision: 22620
- cleaning spec file
- imported package perl-MIME-Lite

